package com.xhpc.user.mapper;

import com.xhpc.user.domain.XhpcUserVehicle;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2023-10-19 17:08
 */
public interface XhpcUserVehicleMapper {


    void deleteUserVehicle(@Param("userId") Long userId,@Param("vehicleId") Long vehicleId,@Param("source")Integer source);

    void addUserVehicle(XhpcUserVehicle xhpcUserVehicle);

    void updateUserVehicle(XhpcUserVehicle xhpcUserVehicle);

    List<Map<String, Object>> list(@Param("vehicleName") String vehicleName,@Param("phone") String phone,@Param("chargingStationName")String chargingStationName,@Param("logOperatorId")Long logOperatorId,@Param("type")Integer type,@Param("tenantId")String tenantId);

    List<Map<String, Object>> getUserVehicleList(@Param("userId") Long userId,@Param("source") Integer source,@Param("tenantId") String tenantId);
    Map<String, Object> getXhpcUserVehicleMessage(@Param("userId") Long userId,@Param("source") Integer source,@Param("type") Integer type);

    //查询是否有录入的数据
    int xhpcUserVehicleInformation(@Param("userId") Long userId,@Param("source") Integer source,@Param("deFlag") Integer deFlag);

    //查询黑名单
    int getVinBlacklist(@Param("vinSpecCode") String vinSpecCode);

    int deleteUserVehicleById(@Param("vehicleId")Long vehicleId);

    int defaultUserVehicle(@Param("vehicleId")Long vehicleId);

    int defaultUserVehicleList(@Param("vehicleId")Long vehicleId,@Param("userId") Long userId,@Param("source") Integer source);

    int enlightenedUserVehicle(@Param("vehicleId")Long vehicleId,@Param("status") Integer status);

    int updateVehicleNameUserId(@Param("userId") Long userId,@Param("vehicleName") String vehicleName);
}
